> ## Documentation Index
> Fetch the complete documentation index at: https://docs.varchev.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Query Ledgers

> Retrieve information about specific ledger entries. 




## OpenAPI

````yaml Crypto post /queryLedgers
openapi: 3.0.1
info:
  title: Crypto
  description: crypto
  version: 1.0.0
servers:
  - url: https://gateway.varchev.com/crypto
security:
  - apikeyAuth: []
tags:
  - name: public
  - name: private
paths:
  /queryLedgers:
    post:
      tags:
        - private
      summary: Query Ledgers
      description: |
        Retrieve information about specific ledger entries. 
      parameters:
        - name: tenantId
          in: header
          description: Tenant/Owner id
          required: true
          style: simple
          explode: false
          schema:
            type: string
        - name: Content-Type
          in: header
          required: false
          style: simple
          explode: false
          schema:
            type: string
          example: application/json
      requestBody:
        content:
          application/json:
            schema:
              properties:
                nonce:
                  type: string
                  description: '(Required) '
                  example: '-96416318'
                id:
                  type: string
                  description: >-
                    Comma delimited list of ledger IDs to query info about (20
                    maximum)
                  example: in non Lorem pariatur
                trades:
                  type: boolean
                  description: >-
                    Whether or not to include trades related to position in
                    output
                  example: false
      responses:
        '200':
          description: OK
          headers:
            Content-Type:
              style: simple
              explode: false
              schema:
                type: string
                example: application/json
          content:
            application/json:
              schema:
                type: object
              example:
                error: []
                result:
                  L4UESK-KG3EQ-UFO4T5:
                    refid: TJKLXF-PGMUI-4NTLXU
                    time: 1610464484.1787
                    type: trade
                    subtype: ''
                    aclass: currency
                    asset: ZGBP
                    amount: '-24.5000'
                    fee: '0.0490'
                    balance: '459567.9171'
      security:
        - default: []
components:
  securitySchemes:
    apikeyAuth:
      type: http
      scheme: apikey
    default:
      type: oauth2
      flows:
        implicit:
          authorizationUrl: https://test.com
          scopes: {}

````